/* --------------------------------------------------------------- */
/* tollosAcc.h -- accelerometer functions for Tollos               */
/* --------------------------------------------------------------- */
/*                                                                 */
/* Copyright (c) Mike Cowlishaw, 2010-2011.  All rights reserved.  */
/*                                                                 */
/* Permission to use, copy, modify, and/or distribute this         */
/* software for any purpose with or without fee is hereby granted, */
/* provided that the above copyright notice and this permission    */
/* notice appear in all copies, and that notice and the date of    */
/* any modifications be added to the software.                     */
/*                                                                 */
/* This software is provided "as is".  No warranties, whether      */
/* express, implied, or statutory, including, but not limited to,  */
/* implied warranties of merchantability and fitness for a         */
/* particular purpose apply to this software.  The author shall    */
/* not, in any circumstances, be liable for special, incidental,   */
/* or consequential damages, for any reason whatsoever.            */
/*                                                                 */
/* --------------------------------------------------------------- */
/* Generic functions for basic access to accelerometers.           */
/* --------------------------------------------------------------- */

#ifndef TOLLOS_ACC_USED
#define TOLLOS_ACC_USED

#include "tollos.h"           // types etc.

/* --------------------------------------------------------------- */
/* Functions                                                       */
/* --------------------------------------------------------------- */
// device functions
extern int accGetXYZ(int *x, int *y, int *z);
extern int accInit(uint channel, uint drport, uint drpin);
extern int accRange(uint range);
extern int accRate(uint rate);
extern int accStop(void);


#ifdef TOLLOS_IO
// I/O functions to be provided by device library [not for application use]
extern int accInitIO(uint channel);
extern int accGetXYZIO(int *x, int *y, int *z);
extern int accRangeIO(uint range);
extern int accRateIO(uint rate);
extern int accStopIO(void);
#endif

#endif
