/* --------------------------------------------------------------- */
/* tollosDebug.h -- debug functions for Tollos                     */
/* --------------------------------------------------------------- */
/*                                                                 */
/* Copyright (c) Mike Cowlishaw, 2010-2011.  All rights reserved.  */
/*                                                                 */
/* Permission to use, copy, modify, and/or distribute this         */
/* software for any purpose with or without fee is hereby granted, */
/* provided that the above copyright notice and this permission    */
/* notice appear in all copies, and that notice and the date of    */
/* any modifications be added to the software.                     */
/*                                                                 */
/* This software is provided "as is".  No warranties, whether      */
/* express, implied, or statutory, including, but not limited to,  */
/* implied warranties of merchantability and fitness for a         */
/* particular purpose apply to this software.  The author shall    */
/* not, in any circumstances, be liable for special, incidental,   */
/* or consequential damages, for any reason whatsoever.            */
/*                                                                 */
/* --------------------------------------------------------------- */
/* Functions for sending a string, reading a character from, or    */
/* configuring a host debug terminal.                              */
/* --------------------------------------------------------------- */


#ifndef TOLLOS_DEBUG_USED
#define TOLLOS_DEBUG_USED

#include "tollos.h"                // types etc.

/* Constants */
#define TOLLOS_DEBUG_BAUD 115200   // baud rate to use for SerialPC

/* --------------------------------------------------------------- */
/* Function(s)                                                     */
/* --------------------------------------------------------------- */
extern void debugBaud(uint baud);            // set baud rate
extern int  debugf(const char *format, ...); // debug printf
extern int  debugGet(void);                  // get character

#ifdef TOLLOS_IO
// I/O functions [not for application use]
extern int  debugGetcIO(void);               // get character
extern void debugInitIO(uint baud);          // initialize
extern void debugPutcIO(int ch);            // send character
#endif

#endif
