/* --------------------------------------------------------------- */
/* tollosGyro.h -- gyroscope functions for Tollos               */
/* --------------------------------------------------------------- */
/*                                                                 */
/* Copyright (c) Mike Cowlishaw, 2010-2011.  All rights reserved.  */
/*                                                                 */
/* Permission to use, copy, modify, and/or distribute this         */
/* software for any purpose with or without fee is hereby granted, */
/* provided that the above copyright notice and this permission    */
/* notice appear in all copies, and that notice and the date of    */
/* any modifications be added to the software.                     */
/*                                                                 */
/* This software is provided "as is".  No warranties, whether      */
/* express, implied, or statutory, including, but not limited to,  */
/* implied warranties of merchantability and fitness for a         */
/* particular purpose apply to this software.  The author shall    */
/* not, in any circumstances, be liable for special, incidental,   */
/* or consequential damages, for any reason whatsoever.            */
/*                                                                 */
/* --------------------------------------------------------------- */
/* Generic functions for basic access to gyroscopes.               */
/* --------------------------------------------------------------- */

#ifndef TOLLOS_GYRO_USED
#define TOLLOS_GYRO_USED

#include "tollos.h"           // types etc.

// constant
#define GYRO_NOTEMP -1000000  // no temperature available



/* --------------------------------------------------------------- */
/* Functions                                                       */
/* --------------------------------------------------------------- */
// device functions
extern int gyroGetXYZ(int *x, int *y, int *z);
extern int gyroInit(uint channel, uint drport, uint drpin);
extern int gyroRate(uint rate);
extern int gyroStop(void);
extern int gyroTemperature(void);


#ifdef TOLLOS_IO
// I/O functions to be provided by device library [not for application use]
extern int gyroInitIO(uint channel);
extern int gyroGetXYZIO(int *x, int *y, int *z);
extern int gyroRateIO(uint rate);
extern int gyroStopIO(void);
extern int gyroTemperatureIO(void);
#endif

#endif
