/* --------------------------------------------------------------- */
/* tollosSPI.h -- SPI serial device functions                      */
/* --------------------------------------------------------------- */
/*                                                                 */
/* Copyright (c) Mike Cowlishaw, 2010-2011.  All rights reserved.  */
/*                                                                 */
/* Permission to use, copy, modify, and/or distribute this         */
/* software for any purpose with or without fee is hereby granted, */
/* provided that the above copyright notice and this permission    */
/* notice appear in all copies, and that notice and the date of    */
/* any modifications be added to the software.                     */
/*                                                                 */
/* This software is provided "as is".  No warranties, whether      */
/* express, implied, or statutory, including, but not limited to,  */
/* implied warranties of merchantability and fitness for a         */
/* particular purpose apply to this software.  The author shall    */
/* not, in any circumstances, be liable for special, incidental,   */
/* or consequential damages, for any reason whatsoever.            */
/*                                                                 */
/* --------------------------------------------------------------- */
/* The SPI functions provide access to SPI device(s).              */
/*                                                                 */
/* --------------------------------------------------------------- */


#ifndef TOLLOS_SPI_USED
#define TOLLOS_SPI_USED

#include "tollos.h"      // types etc.


/* --------------------------------------------------------------- */
/* Functions                                                       */
/* --------------------------------------------------------------- */

// (Currently there are no appplication-level functions)


#ifdef TOLLOS_IO
// SPI I/O functions [not for application use]

// The spi9 functions provide fast 9-bit data or command write
extern int spi9CommandIO(byte b);
extern int spi9Command2IO(byte b1, byte b2);
extern int spi9DataIO(byte* data, uint length);
extern void spi9InitIO(void);
extern void spi9StopIO(void);

#endif

#endif
