/* --------------------------------------------------------------- */
/* tollosUART.c -- UART serial device functions                    */
/* --------------------------------------------------------------- */
/*                                                                 */
/* Copyright (c) Mike Cowlishaw, 2010-2011.  All rights reserved.  */
/*                                                                 */
/* Permission to use, copy, modify, and/or distribute this         */
/* software for any purpose with or without fee is hereby granted, */
/* provided that the above copyright notice and this permission    */
/* notice appear in all copies, and that notice and the date of    */
/* any modifications be added to the software.                     */
/*                                                                 */
/* This software is provided "as is".  No warranties, whether      */
/* express, implied, or statutory, including, but not limited to,  */
/* implied warranties of merchantability and fitness for a         */
/* particular purpose apply to this software.  The author shall    */
/* not, in any circumstances, be liable for special, incidental,   */
/* or consequential damages, for any reason whatsoever.            */
/*                                                                 */
/* --------------------------------------------------------------- */
/* The UART functions provide character I/O over a serial link.    */
/*                                                                 */
/* --------------------------------------------------------------- */

#ifndef TOLLOS_UART_USED
#define TOLLOS_UART_USED

#include "tollos.h"      // types etc.


/* --------------------------------------------------------------- */
/* Functions                                                       */
/* --------------------------------------------------------------- */
extern int uartGetc(uint uart);
extern int uartInit(uint uart, uint baud);
extern int uartPutc(uint uart, int ch);

#ifdef TOLLOS_IO
// UART I/O functions [not for application use]
extern int uartGetcIO(uint uart);
extern int uartInitIO(uint uart, uint baud);
extern int uartPutcIO(uint uart, int ch);
#endif

#endif
