/* --------------------------------------------------------------- */
/* tollosUtil.h -- useful macros and functions for Tollos          */
/* --------------------------------------------------------------- */
/*                                                                 */
/* Copyright (c) Mike Cowlishaw, 2010-2011.  All rights reserved.  */
/*                                                                 */
/* Permission to use, copy, modify, and/or distribute this         */
/* software for any purpose with or without fee is hereby granted, */
/* provided that the above copyright notice and this permission    */
/* notice appear in all copies, and that notice and the date of    */
/* any modifications be added to the software.                     */
/*                                                                 */
/* This software is provided "as is".  No warranties, whether      */
/* express, implied, or statutory, including, but not limited to,  */
/* implied warranties of merchantability and fitness for a         */
/* particular purpose apply to this software.  The author shall    */
/* not, in any circumstances, be liable for special, incidental,   */
/* or consequential damages, for any reason whatsoever.            */
/*                                                                 */
/* --------------------------------------------------------------- */

#ifndef TOLLOS_UTIL_USED
#define TOLLOS_UTIL_USED

#include <stdarg.h>
#include <string.h>

// type -- a character-putter (putc-like sink)
typedef void(*putter)(int);

// macros [therefore undocumented, except listed]
#define abs(x) ((x)<0 ? -(x) : (x))
#define iswap(x,y) {(x)=(x)^(y); (y)=(x)^(y); (x)=(x)^(y);}
#define max(a,b) ((a)>=(b) ? (a) : (b))
#define min(a,b) ((a)<=(b) ? (a) : (b))
#define signum(x) ((x)>0 ? 1 : ((x)<0 ? -1 : 0))


// functions
extern void  byte2hex(byte b, char *hex, flag upper);
extern int   fastrand(uint n, uint *seed);
extern int   hex2byte(char *hex, byte *b);
extern int   isqrtg(int num, int guess);
extern int   i2str(char *str, int num, int len);
extern int   nop(int i);
extern int   streq(const char *char1, const char *char2);
extern int   strf(putter putC, const char *format, va_list args);

#endif

