/* --------------------------------------------------------------- */
/* tollosVCom.c -- USB Virtual COM port functions                  */
/* --------------------------------------------------------------- */
/*                                                                 */
/* Copyright (c) Mike Cowlishaw, 2010-2011.  All rights reserved.  */
/*                                                                 */
/* Permission to use, copy, modify, and/or distribute this         */
/* software for any purpose with or without fee is hereby granted, */
/* provided that the above copyright notice and this permission    */
/* notice appear in all copies, and that notice and the date of    */
/* any modifications be added to the software.                     */
/*                                                                 */
/* This software is provided "as is".  No warranties, whether      */
/* express, implied, or statutory, including, but not limited to,  */
/* implied warranties of merchantability and fitness for a         */
/* particular purpose apply to this software.  The author shall    */
/* not, in any circumstances, be liable for special, incidental,   */
/* or consequential damages, for any reason whatsoever.            */
/*                                                                 */
/* --------------------------------------------------------------- */
/* The vcom functions provide character I/O over a USB link.       */
/*                                                                 */
/* --------------------------------------------------------------- */

#ifndef TOLLOS_VCOM_USED
#define TOLLOS_VCOM_USED

#include "tollos.h"      // types etc.

/* --------------------------------------------------------------- */
/* Functions                                                       */
/* --------------------------------------------------------------- */
extern int vcomGetc(void);
extern int vcomInit(void);
extern int vcomPutc(int ch);
extern void vcomStop(void);

#ifdef TOLLOS_IO
// vcom I/O functions [not for application use]
extern int vcomGetcIO(void);
extern int vcomInitIO(void);
extern int vcomPutcIO(int ch);
extern void vcomStopIO(void);
#endif

#endif
